---
title: WebGL2RenderingContext.getIndexedParameter()
slug: Web/API/WebGL2RenderingContext/getIndexedParameter
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.getIndexedParameter()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> returns indexed information about a given <code>target</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">any <var>gl</var>.getIndexedParameter(<var>target</var>, <var>index</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>target</code></dt>
 <dd>A {{domxref("Glenum")}} specifying the target for which to return information. Possible values:
 <ul>
  <li><code>gl.TRANSFORM_FEEDBACK_BUFFER_BINDING</code>: Returns a {{domxref("WebGLBuffer")}}.</li>
  <li><code>gl.TRANSFORM_FEEDBACK_BUFFER_SIZE</code>: Returns a {{domxref("GLsizeiptr")}}.</li>
  <li><code>gl.TRANSFORM_FEEDBACK_BUFFER_START</code>: Returns a {{domxref("GLintptr")}}.</li>
  <li><code>gl.UNIFORM_BUFFER_BINDING</code>: Returns a {{domxref("WebGLBuffer")}}.</li>
  <li><code>gl.UNIFORM_BUFFER_SIZE</code>: Returns a {{domxref("GLsizeiptr")}}.</li>
  <li><code>gl.UNIFORM_BUFFER_START</code>: Returns a {{domxref("GLintptr")}}.</li>
 </ul>
 </dd>
 <dt><code>index</code></dt>
 <dd>A {{domxref("GLuint")}} specifying the index of the <code>target</code> that is queried.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Depends on the requested information (as specified with <code>target</code>).</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var binding = gl.getIndexedParameter(gl.TRANSFORM_FEEDBACK_BUFFER_BINDING, 0);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.2", "getIndexedParameter")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glGet.xhtml", "glGet")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.getIndexedParameter")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getParameter()")}}</li>
</ul>
